import { BaseDto } from '../../lib/db/DBAccess';

export class NoteDto implements BaseDto {
    id?: string;
    title: string;
    content: string;
    static get dbName() {
        return 'Notes';
    }
    constructor(title: string, content: string, id?: string) {
        this.title = title;
        this.content = content;
        if (id) {
            this.id = id;
        }
    }
}